// source: reservemodule/reservemodule.proto
/**
 * @fileoverview
 * @enhanceable
 * @suppress {missingRequire} reports error on implicit type usages.
 * @suppress {messageConventions} JS Compiler reports an error if a variable or
 *     field starts with 'MSG_' and isn't a translatable message.
 * @public
 */
// GENERATED CODE -- DO NOT EDIT!
/* eslint-disable */
// @ts-nocheck

var jspb = require('google-protobuf');
var goog = jspb;
var global =
  (typeof globalThis !== 'undefined' && globalThis) ||
  (typeof window !== 'undefined' && window) ||
  (typeof global !== 'undefined' && global) ||
  (typeof self !== 'undefined' && self) ||
  (function () { return this; }).call(null) ||
  Function('return this')();

var uml_pb = require('../uml_pb.js');
goog.object.extend(proto, uml_pb);
var commonmodule_commonmodule_pb = require('../commonmodule/commonmodule_pb.js');
goog.object.extend(proto, commonmodule_commonmodule_pb);
goog.exportSymbol('proto.reservemodule.AllocatedMargin', null, global);
goog.exportSymbol('proto.reservemodule.ReserveAvailability', null, global);
goog.exportSymbol('proto.reservemodule.ReserveAvailabilityProfile', null, global);
goog.exportSymbol('proto.reservemodule.ReserveMargin', null, global);
goog.exportSymbol('proto.reservemodule.ReserveRequest', null, global);
goog.exportSymbol('proto.reservemodule.ReserveRequestProfile', null, global);
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.reservemodule.ReserveMargin = function (opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.reservemodule.ReserveMargin, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.reservemodule.ReserveMargin.displayName = 'proto.reservemodule.ReserveMargin';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.reservemodule.ReserveAvailability = function (opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.reservemodule.ReserveAvailability, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.reservemodule.ReserveAvailability.displayName = 'proto.reservemodule.ReserveAvailability';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.reservemodule.AllocatedMargin = function (opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.reservemodule.AllocatedMargin, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.reservemodule.AllocatedMargin.displayName = 'proto.reservemodule.AllocatedMargin';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.reservemodule.ReserveAvailabilityProfile = function (opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.reservemodule.ReserveAvailabilityProfile, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.reservemodule.ReserveAvailabilityProfile.displayName = 'proto.reservemodule.ReserveAvailabilityProfile';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.reservemodule.ReserveRequest = function (opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.reservemodule.ReserveRequest, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.reservemodule.ReserveRequest.displayName = 'proto.reservemodule.ReserveRequest';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.reservemodule.ReserveRequestProfile = function (opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.reservemodule.ReserveRequestProfile, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.reservemodule.ReserveRequestProfile.displayName = 'proto.reservemodule.ReserveRequestProfile';
}



if (jspb.Message.GENERATE_TO_OBJECT) {
  /**
   * Creates an object representation of this proto.
   * Field names that are reserved in JavaScript and will be renamed to pb_name.
   * Optional fields that are not set will be set to undefined.
   * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
   * For the list of reserved names please see:
   *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
   * @param {boolean=} opt_includeInstance Deprecated. whether to include the
   *     JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @return {!Object}
   */
  proto.reservemodule.ReserveMargin.prototype.toObject = function (opt_includeInstance) {
    return proto.reservemodule.ReserveMargin.toObject(opt_includeInstance, this);
  };


  /**
   * Static version of the {@see toObject} method.
   * @param {boolean|undefined} includeInstance Deprecated. Whether to include
   *     the JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @param {!proto.reservemodule.ReserveMargin} msg The msg instance to transform.
   * @return {!Object}
   * @suppress {unusedLocalVariables} f is only used for nested messages
   */
  proto.reservemodule.ReserveMargin.toObject = function (includeInstance, msg) {
    var f, obj = {
      logicalnode: (f = msg.getLogicalnode()) && commonmodule_commonmodule_pb.LogicalNode.toObject(includeInstance, f),
      a: (f = msg.getA()) && commonmodule_commonmodule_pb.PMG.toObject(includeInstance, f),
      va: (f = msg.getVa()) && commonmodule_commonmodule_pb.PMG.toObject(includeInstance, f),
      pb_var: (f = msg.getVar()) && commonmodule_commonmodule_pb.PMG.toObject(includeInstance, f),
      w: (f = msg.getW()) && commonmodule_commonmodule_pb.PMG.toObject(includeInstance, f)
    };

    if (includeInstance) {
      obj.$jspbMessageInstance = msg;
    }
    return obj;
  };
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.reservemodule.ReserveMargin}
 */
proto.reservemodule.ReserveMargin.deserializeBinary = function (bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.reservemodule.ReserveMargin;
  return proto.reservemodule.ReserveMargin.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.reservemodule.ReserveMargin} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.reservemodule.ReserveMargin}
 */
proto.reservemodule.ReserveMargin.deserializeBinaryFromReader = function (msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
      case 1:
        var value = new commonmodule_commonmodule_pb.LogicalNode;
        reader.readMessage(value, commonmodule_commonmodule_pb.LogicalNode.deserializeBinaryFromReader);
        msg.setLogicalnode(value);
        break;
      case 2:
        var value = new commonmodule_commonmodule_pb.PMG;
        reader.readMessage(value, commonmodule_commonmodule_pb.PMG.deserializeBinaryFromReader);
        msg.setA(value);
        break;
      case 3:
        var value = new commonmodule_commonmodule_pb.PMG;
        reader.readMessage(value, commonmodule_commonmodule_pb.PMG.deserializeBinaryFromReader);
        msg.setVa(value);
        break;
      case 4:
        var value = new commonmodule_commonmodule_pb.PMG;
        reader.readMessage(value, commonmodule_commonmodule_pb.PMG.deserializeBinaryFromReader);
        msg.setVar(value);
        break;
      case 5:
        var value = new commonmodule_commonmodule_pb.PMG;
        reader.readMessage(value, commonmodule_commonmodule_pb.PMG.deserializeBinaryFromReader);
        msg.setW(value);
        break;
      default:
        reader.skipField();
        break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.reservemodule.ReserveMargin.prototype.serializeBinary = function () {
  var writer = new jspb.BinaryWriter();
  proto.reservemodule.ReserveMargin.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.reservemodule.ReserveMargin} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.reservemodule.ReserveMargin.serializeBinaryToWriter = function (message, writer) {
  var f = undefined;
  f = message.getLogicalnode();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      commonmodule_commonmodule_pb.LogicalNode.serializeBinaryToWriter
    );
  }
  f = message.getA();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      commonmodule_commonmodule_pb.PMG.serializeBinaryToWriter
    );
  }
  f = message.getVa();
  if (f != null) {
    writer.writeMessage(
      3,
      f,
      commonmodule_commonmodule_pb.PMG.serializeBinaryToWriter
    );
  }
  f = message.getVar();
  if (f != null) {
    writer.writeMessage(
      4,
      f,
      commonmodule_commonmodule_pb.PMG.serializeBinaryToWriter
    );
  }
  f = message.getW();
  if (f != null) {
    writer.writeMessage(
      5,
      f,
      commonmodule_commonmodule_pb.PMG.serializeBinaryToWriter
    );
  }
};


/**
 * optional commonmodule.LogicalNode logicalNode = 1;
 * @return {?proto.commonmodule.LogicalNode}
 */
proto.reservemodule.ReserveMargin.prototype.getLogicalnode = function () {
  return /** @type{?proto.commonmodule.LogicalNode} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.LogicalNode, 1));
};


/**
 * @param {?proto.commonmodule.LogicalNode|undefined} value
 * @return {!proto.reservemodule.ReserveMargin} returns this
*/
proto.reservemodule.ReserveMargin.prototype.setLogicalnode = function (value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reservemodule.ReserveMargin} returns this
 */
proto.reservemodule.ReserveMargin.prototype.clearLogicalnode = function () {
  return this.setLogicalnode(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reservemodule.ReserveMargin.prototype.hasLogicalnode = function () {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * optional commonmodule.PMG A = 2;
 * @return {?proto.commonmodule.PMG}
 */
proto.reservemodule.ReserveMargin.prototype.getA = function () {
  return /** @type{?proto.commonmodule.PMG} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.PMG, 2));
};


/**
 * @param {?proto.commonmodule.PMG|undefined} value
 * @return {!proto.reservemodule.ReserveMargin} returns this
*/
proto.reservemodule.ReserveMargin.prototype.setA = function (value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reservemodule.ReserveMargin} returns this
 */
proto.reservemodule.ReserveMargin.prototype.clearA = function () {
  return this.setA(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reservemodule.ReserveMargin.prototype.hasA = function () {
  return jspb.Message.getField(this, 2) != null;
};


/**
 * optional commonmodule.PMG VA = 3;
 * @return {?proto.commonmodule.PMG}
 */
proto.reservemodule.ReserveMargin.prototype.getVa = function () {
  return /** @type{?proto.commonmodule.PMG} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.PMG, 3));
};


/**
 * @param {?proto.commonmodule.PMG|undefined} value
 * @return {!proto.reservemodule.ReserveMargin} returns this
*/
proto.reservemodule.ReserveMargin.prototype.setVa = function (value) {
  return jspb.Message.setWrapperField(this, 3, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reservemodule.ReserveMargin} returns this
 */
proto.reservemodule.ReserveMargin.prototype.clearVa = function () {
  return this.setVa(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reservemodule.ReserveMargin.prototype.hasVa = function () {
  return jspb.Message.getField(this, 3) != null;
};


/**
 * optional commonmodule.PMG VAr = 4;
 * @return {?proto.commonmodule.PMG}
 */
proto.reservemodule.ReserveMargin.prototype.getVar = function () {
  return /** @type{?proto.commonmodule.PMG} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.PMG, 4));
};


/**
 * @param {?proto.commonmodule.PMG|undefined} value
 * @return {!proto.reservemodule.ReserveMargin} returns this
*/
proto.reservemodule.ReserveMargin.prototype.setVar = function (value) {
  return jspb.Message.setWrapperField(this, 4, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reservemodule.ReserveMargin} returns this
 */
proto.reservemodule.ReserveMargin.prototype.clearVar = function () {
  return this.setVar(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reservemodule.ReserveMargin.prototype.hasVar = function () {
  return jspb.Message.getField(this, 4) != null;
};


/**
 * optional commonmodule.PMG W = 5;
 * @return {?proto.commonmodule.PMG}
 */
proto.reservemodule.ReserveMargin.prototype.getW = function () {
  return /** @type{?proto.commonmodule.PMG} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.PMG, 5));
};


/**
 * @param {?proto.commonmodule.PMG|undefined} value
 * @return {!proto.reservemodule.ReserveMargin} returns this
*/
proto.reservemodule.ReserveMargin.prototype.setW = function (value) {
  return jspb.Message.setWrapperField(this, 5, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reservemodule.ReserveMargin} returns this
 */
proto.reservemodule.ReserveMargin.prototype.clearW = function () {
  return this.setW(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reservemodule.ReserveMargin.prototype.hasW = function () {
  return jspb.Message.getField(this, 5) != null;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
  /**
   * Creates an object representation of this proto.
   * Field names that are reserved in JavaScript and will be renamed to pb_name.
   * Optional fields that are not set will be set to undefined.
   * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
   * For the list of reserved names please see:
   *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
   * @param {boolean=} opt_includeInstance Deprecated. whether to include the
   *     JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @return {!Object}
   */
  proto.reservemodule.ReserveAvailability.prototype.toObject = function (opt_includeInstance) {
    return proto.reservemodule.ReserveAvailability.toObject(opt_includeInstance, this);
  };


  /**
   * Static version of the {@see toObject} method.
   * @param {boolean|undefined} includeInstance Deprecated. Whether to include
   *     the JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @param {!proto.reservemodule.ReserveAvailability} msg The msg instance to transform.
   * @return {!Object}
   * @suppress {unusedLocalVariables} f is only used for nested messages
   */
  proto.reservemodule.ReserveAvailability.toObject = function (includeInstance, msg) {
    var f, obj = {
      incrementalmargin: (f = msg.getIncrementalmargin()) && proto.reservemodule.ReserveMargin.toObject(includeInstance, f),
      margin: (f = msg.getMargin()) && proto.reservemodule.ReserveMargin.toObject(includeInstance, f),
      standbymargin: (f = msg.getStandbymargin()) && proto.reservemodule.ReserveMargin.toObject(includeInstance, f)
    };

    if (includeInstance) {
      obj.$jspbMessageInstance = msg;
    }
    return obj;
  };
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.reservemodule.ReserveAvailability}
 */
proto.reservemodule.ReserveAvailability.deserializeBinary = function (bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.reservemodule.ReserveAvailability;
  return proto.reservemodule.ReserveAvailability.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.reservemodule.ReserveAvailability} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.reservemodule.ReserveAvailability}
 */
proto.reservemodule.ReserveAvailability.deserializeBinaryFromReader = function (msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
      case 1:
        var value = new proto.reservemodule.ReserveMargin;
        reader.readMessage(value, proto.reservemodule.ReserveMargin.deserializeBinaryFromReader);
        msg.setIncrementalmargin(value);
        break;
      case 2:
        var value = new proto.reservemodule.ReserveMargin;
        reader.readMessage(value, proto.reservemodule.ReserveMargin.deserializeBinaryFromReader);
        msg.setMargin(value);
        break;
      case 3:
        var value = new proto.reservemodule.ReserveMargin;
        reader.readMessage(value, proto.reservemodule.ReserveMargin.deserializeBinaryFromReader);
        msg.setStandbymargin(value);
        break;
      default:
        reader.skipField();
        break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.reservemodule.ReserveAvailability.prototype.serializeBinary = function () {
  var writer = new jspb.BinaryWriter();
  proto.reservemodule.ReserveAvailability.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.reservemodule.ReserveAvailability} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.reservemodule.ReserveAvailability.serializeBinaryToWriter = function (message, writer) {
  var f = undefined;
  f = message.getIncrementalmargin();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      proto.reservemodule.ReserveMargin.serializeBinaryToWriter
    );
  }
  f = message.getMargin();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      proto.reservemodule.ReserveMargin.serializeBinaryToWriter
    );
  }
  f = message.getStandbymargin();
  if (f != null) {
    writer.writeMessage(
      3,
      f,
      proto.reservemodule.ReserveMargin.serializeBinaryToWriter
    );
  }
};


/**
 * optional ReserveMargin incrementalMargin = 1;
 * @return {?proto.reservemodule.ReserveMargin}
 */
proto.reservemodule.ReserveAvailability.prototype.getIncrementalmargin = function () {
  return /** @type{?proto.reservemodule.ReserveMargin} */ (
    jspb.Message.getWrapperField(this, proto.reservemodule.ReserveMargin, 1));
};


/**
 * @param {?proto.reservemodule.ReserveMargin|undefined} value
 * @return {!proto.reservemodule.ReserveAvailability} returns this
*/
proto.reservemodule.ReserveAvailability.prototype.setIncrementalmargin = function (value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reservemodule.ReserveAvailability} returns this
 */
proto.reservemodule.ReserveAvailability.prototype.clearIncrementalmargin = function () {
  return this.setIncrementalmargin(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reservemodule.ReserveAvailability.prototype.hasIncrementalmargin = function () {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * optional ReserveMargin margin = 2;
 * @return {?proto.reservemodule.ReserveMargin}
 */
proto.reservemodule.ReserveAvailability.prototype.getMargin = function () {
  return /** @type{?proto.reservemodule.ReserveMargin} */ (
    jspb.Message.getWrapperField(this, proto.reservemodule.ReserveMargin, 2));
};


/**
 * @param {?proto.reservemodule.ReserveMargin|undefined} value
 * @return {!proto.reservemodule.ReserveAvailability} returns this
*/
proto.reservemodule.ReserveAvailability.prototype.setMargin = function (value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reservemodule.ReserveAvailability} returns this
 */
proto.reservemodule.ReserveAvailability.prototype.clearMargin = function () {
  return this.setMargin(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reservemodule.ReserveAvailability.prototype.hasMargin = function () {
  return jspb.Message.getField(this, 2) != null;
};


/**
 * optional ReserveMargin standbyMargin = 3;
 * @return {?proto.reservemodule.ReserveMargin}
 */
proto.reservemodule.ReserveAvailability.prototype.getStandbymargin = function () {
  return /** @type{?proto.reservemodule.ReserveMargin} */ (
    jspb.Message.getWrapperField(this, proto.reservemodule.ReserveMargin, 3));
};


/**
 * @param {?proto.reservemodule.ReserveMargin|undefined} value
 * @return {!proto.reservemodule.ReserveAvailability} returns this
*/
proto.reservemodule.ReserveAvailability.prototype.setStandbymargin = function (value) {
  return jspb.Message.setWrapperField(this, 3, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reservemodule.ReserveAvailability} returns this
 */
proto.reservemodule.ReserveAvailability.prototype.clearStandbymargin = function () {
  return this.setStandbymargin(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reservemodule.ReserveAvailability.prototype.hasStandbymargin = function () {
  return jspb.Message.getField(this, 3) != null;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
  /**
   * Creates an object representation of this proto.
   * Field names that are reserved in JavaScript and will be renamed to pb_name.
   * Optional fields that are not set will be set to undefined.
   * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
   * For the list of reserved names please see:
   *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
   * @param {boolean=} opt_includeInstance Deprecated. whether to include the
   *     JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @return {!Object}
   */
  proto.reservemodule.AllocatedMargin.prototype.toObject = function (opt_includeInstance) {
    return proto.reservemodule.AllocatedMargin.toObject(opt_includeInstance, this);
  };


  /**
   * Static version of the {@see toObject} method.
   * @param {boolean|undefined} includeInstance Deprecated. Whether to include
   *     the JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @param {!proto.reservemodule.AllocatedMargin} msg The msg instance to transform.
   * @return {!Object}
   * @suppress {unusedLocalVariables} f is only used for nested messages
   */
  proto.reservemodule.AllocatedMargin.toObject = function (includeInstance, msg) {
    var f, obj = {
      requestid: jspb.Message.getFieldWithDefault(msg, 1, ""),
      allocatedmargin: (f = msg.getAllocatedmargin()) && proto.reservemodule.ReserveMargin.toObject(includeInstance, f),
      allocatedstandbymargin: (f = msg.getAllocatedstandbymargin()) && proto.reservemodule.ReserveMargin.toObject(includeInstance, f)
    };

    if (includeInstance) {
      obj.$jspbMessageInstance = msg;
    }
    return obj;
  };
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.reservemodule.AllocatedMargin}
 */
proto.reservemodule.AllocatedMargin.deserializeBinary = function (bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.reservemodule.AllocatedMargin;
  return proto.reservemodule.AllocatedMargin.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.reservemodule.AllocatedMargin} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.reservemodule.AllocatedMargin}
 */
proto.reservemodule.AllocatedMargin.deserializeBinaryFromReader = function (msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
      case 1:
        var value = /** @type {string} */ (reader.readString());
        msg.setRequestid(value);
        break;
      case 2:
        var value = new proto.reservemodule.ReserveMargin;
        reader.readMessage(value, proto.reservemodule.ReserveMargin.deserializeBinaryFromReader);
        msg.setAllocatedmargin(value);
        break;
      case 3:
        var value = new proto.reservemodule.ReserveMargin;
        reader.readMessage(value, proto.reservemodule.ReserveMargin.deserializeBinaryFromReader);
        msg.setAllocatedstandbymargin(value);
        break;
      default:
        reader.skipField();
        break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.reservemodule.AllocatedMargin.prototype.serializeBinary = function () {
  var writer = new jspb.BinaryWriter();
  proto.reservemodule.AllocatedMargin.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.reservemodule.AllocatedMargin} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.reservemodule.AllocatedMargin.serializeBinaryToWriter = function (message, writer) {
  var f = undefined;
  f = message.getRequestid();
  if (f.length > 0) {
    writer.writeString(
      1,
      f
    );
  }
  f = message.getAllocatedmargin();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      proto.reservemodule.ReserveMargin.serializeBinaryToWriter
    );
  }
  f = message.getAllocatedstandbymargin();
  if (f != null) {
    writer.writeMessage(
      3,
      f,
      proto.reservemodule.ReserveMargin.serializeBinaryToWriter
    );
  }
};


/**
 * optional string requestID = 1;
 * @return {string}
 */
proto.reservemodule.AllocatedMargin.prototype.getRequestid = function () {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 1, ""));
};


/**
 * @param {string} value
 * @return {!proto.reservemodule.AllocatedMargin} returns this
 */
proto.reservemodule.AllocatedMargin.prototype.setRequestid = function (value) {
  return jspb.Message.setProto3StringField(this, 1, value);
};


/**
 * optional ReserveMargin allocatedMargin = 2;
 * @return {?proto.reservemodule.ReserveMargin}
 */
proto.reservemodule.AllocatedMargin.prototype.getAllocatedmargin = function () {
  return /** @type{?proto.reservemodule.ReserveMargin} */ (
    jspb.Message.getWrapperField(this, proto.reservemodule.ReserveMargin, 2));
};


/**
 * @param {?proto.reservemodule.ReserveMargin|undefined} value
 * @return {!proto.reservemodule.AllocatedMargin} returns this
*/
proto.reservemodule.AllocatedMargin.prototype.setAllocatedmargin = function (value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reservemodule.AllocatedMargin} returns this
 */
proto.reservemodule.AllocatedMargin.prototype.clearAllocatedmargin = function () {
  return this.setAllocatedmargin(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reservemodule.AllocatedMargin.prototype.hasAllocatedmargin = function () {
  return jspb.Message.getField(this, 2) != null;
};


/**
 * optional ReserveMargin allocatedStandbyMargin = 3;
 * @return {?proto.reservemodule.ReserveMargin}
 */
proto.reservemodule.AllocatedMargin.prototype.getAllocatedstandbymargin = function () {
  return /** @type{?proto.reservemodule.ReserveMargin} */ (
    jspb.Message.getWrapperField(this, proto.reservemodule.ReserveMargin, 3));
};


/**
 * @param {?proto.reservemodule.ReserveMargin|undefined} value
 * @return {!proto.reservemodule.AllocatedMargin} returns this
*/
proto.reservemodule.AllocatedMargin.prototype.setAllocatedstandbymargin = function (value) {
  return jspb.Message.setWrapperField(this, 3, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reservemodule.AllocatedMargin} returns this
 */
proto.reservemodule.AllocatedMargin.prototype.clearAllocatedstandbymargin = function () {
  return this.setAllocatedstandbymargin(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reservemodule.AllocatedMargin.prototype.hasAllocatedstandbymargin = function () {
  return jspb.Message.getField(this, 3) != null;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
  /**
   * Creates an object representation of this proto.
   * Field names that are reserved in JavaScript and will be renamed to pb_name.
   * Optional fields that are not set will be set to undefined.
   * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
   * For the list of reserved names please see:
   *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
   * @param {boolean=} opt_includeInstance Deprecated. whether to include the
   *     JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @return {!Object}
   */
  proto.reservemodule.ReserveAvailabilityProfile.prototype.toObject = function (opt_includeInstance) {
    return proto.reservemodule.ReserveAvailabilityProfile.toObject(opt_includeInstance, this);
  };


  /**
   * Static version of the {@see toObject} method.
   * @param {boolean|undefined} includeInstance Deprecated. Whether to include
   *     the JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @param {!proto.reservemodule.ReserveAvailabilityProfile} msg The msg instance to transform.
   * @return {!Object}
   * @suppress {unusedLocalVariables} f is only used for nested messages
   */
  proto.reservemodule.ReserveAvailabilityProfile.toObject = function (includeInstance, msg) {
    var f, obj = {
      controlmessageinfo: (f = msg.getControlmessageinfo()) && commonmodule_commonmodule_pb.ControlMessageInfo.toObject(includeInstance, f),
      allocatedmargin: (f = msg.getAllocatedmargin()) && proto.reservemodule.AllocatedMargin.toObject(includeInstance, f),
      requestercircuitsegmentservice: (f = msg.getRequestercircuitsegmentservice()) && commonmodule_commonmodule_pb.ApplicationSystem.toObject(includeInstance, f),
      reserveavailability: (f = msg.getReserveavailability()) && proto.reservemodule.ReserveAvailability.toObject(includeInstance, f),
      respondercircuitsegmentservice: (f = msg.getRespondercircuitsegmentservice()) && commonmodule_commonmodule_pb.ApplicationSystem.toObject(includeInstance, f),
      tiepoint: (f = msg.getTiepoint()) && commonmodule_commonmodule_pb.ConductingEquipment.toObject(includeInstance, f)
    };

    if (includeInstance) {
      obj.$jspbMessageInstance = msg;
    }
    return obj;
  };
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.reservemodule.ReserveAvailabilityProfile}
 */
proto.reservemodule.ReserveAvailabilityProfile.deserializeBinary = function (bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.reservemodule.ReserveAvailabilityProfile;
  return proto.reservemodule.ReserveAvailabilityProfile.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.reservemodule.ReserveAvailabilityProfile} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.reservemodule.ReserveAvailabilityProfile}
 */
proto.reservemodule.ReserveAvailabilityProfile.deserializeBinaryFromReader = function (msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
      case 1:
        var value = new commonmodule_commonmodule_pb.ControlMessageInfo;
        reader.readMessage(value, commonmodule_commonmodule_pb.ControlMessageInfo.deserializeBinaryFromReader);
        msg.setControlmessageinfo(value);
        break;
      case 2:
        var value = new proto.reservemodule.AllocatedMargin;
        reader.readMessage(value, proto.reservemodule.AllocatedMargin.deserializeBinaryFromReader);
        msg.setAllocatedmargin(value);
        break;
      case 3:
        var value = new commonmodule_commonmodule_pb.ApplicationSystem;
        reader.readMessage(value, commonmodule_commonmodule_pb.ApplicationSystem.deserializeBinaryFromReader);
        msg.setRequestercircuitsegmentservice(value);
        break;
      case 4:
        var value = new proto.reservemodule.ReserveAvailability;
        reader.readMessage(value, proto.reservemodule.ReserveAvailability.deserializeBinaryFromReader);
        msg.setReserveavailability(value);
        break;
      case 5:
        var value = new commonmodule_commonmodule_pb.ApplicationSystem;
        reader.readMessage(value, commonmodule_commonmodule_pb.ApplicationSystem.deserializeBinaryFromReader);
        msg.setRespondercircuitsegmentservice(value);
        break;
      case 6:
        var value = new commonmodule_commonmodule_pb.ConductingEquipment;
        reader.readMessage(value, commonmodule_commonmodule_pb.ConductingEquipment.deserializeBinaryFromReader);
        msg.setTiepoint(value);
        break;
      default:
        reader.skipField();
        break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.reservemodule.ReserveAvailabilityProfile.prototype.serializeBinary = function () {
  var writer = new jspb.BinaryWriter();
  proto.reservemodule.ReserveAvailabilityProfile.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.reservemodule.ReserveAvailabilityProfile} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.reservemodule.ReserveAvailabilityProfile.serializeBinaryToWriter = function (message, writer) {
  var f = undefined;
  f = message.getControlmessageinfo();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      commonmodule_commonmodule_pb.ControlMessageInfo.serializeBinaryToWriter
    );
  }
  f = message.getAllocatedmargin();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      proto.reservemodule.AllocatedMargin.serializeBinaryToWriter
    );
  }
  f = message.getRequestercircuitsegmentservice();
  if (f != null) {
    writer.writeMessage(
      3,
      f,
      commonmodule_commonmodule_pb.ApplicationSystem.serializeBinaryToWriter
    );
  }
  f = message.getReserveavailability();
  if (f != null) {
    writer.writeMessage(
      4,
      f,
      proto.reservemodule.ReserveAvailability.serializeBinaryToWriter
    );
  }
  f = message.getRespondercircuitsegmentservice();
  if (f != null) {
    writer.writeMessage(
      5,
      f,
      commonmodule_commonmodule_pb.ApplicationSystem.serializeBinaryToWriter
    );
  }
  f = message.getTiepoint();
  if (f != null) {
    writer.writeMessage(
      6,
      f,
      commonmodule_commonmodule_pb.ConductingEquipment.serializeBinaryToWriter
    );
  }
};


/**
 * optional commonmodule.ControlMessageInfo controlMessageInfo = 1;
 * @return {?proto.commonmodule.ControlMessageInfo}
 */
proto.reservemodule.ReserveAvailabilityProfile.prototype.getControlmessageinfo = function () {
  return /** @type{?proto.commonmodule.ControlMessageInfo} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ControlMessageInfo, 1));
};


/**
 * @param {?proto.commonmodule.ControlMessageInfo|undefined} value
 * @return {!proto.reservemodule.ReserveAvailabilityProfile} returns this
*/
proto.reservemodule.ReserveAvailabilityProfile.prototype.setControlmessageinfo = function (value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reservemodule.ReserveAvailabilityProfile} returns this
 */
proto.reservemodule.ReserveAvailabilityProfile.prototype.clearControlmessageinfo = function () {
  return this.setControlmessageinfo(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reservemodule.ReserveAvailabilityProfile.prototype.hasControlmessageinfo = function () {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * optional AllocatedMargin allocatedMargin = 2;
 * @return {?proto.reservemodule.AllocatedMargin}
 */
proto.reservemodule.ReserveAvailabilityProfile.prototype.getAllocatedmargin = function () {
  return /** @type{?proto.reservemodule.AllocatedMargin} */ (
    jspb.Message.getWrapperField(this, proto.reservemodule.AllocatedMargin, 2));
};


/**
 * @param {?proto.reservemodule.AllocatedMargin|undefined} value
 * @return {!proto.reservemodule.ReserveAvailabilityProfile} returns this
*/
proto.reservemodule.ReserveAvailabilityProfile.prototype.setAllocatedmargin = function (value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reservemodule.ReserveAvailabilityProfile} returns this
 */
proto.reservemodule.ReserveAvailabilityProfile.prototype.clearAllocatedmargin = function () {
  return this.setAllocatedmargin(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reservemodule.ReserveAvailabilityProfile.prototype.hasAllocatedmargin = function () {
  return jspb.Message.getField(this, 2) != null;
};


/**
 * optional commonmodule.ApplicationSystem requesterCircuitSegmentService = 3;
 * @return {?proto.commonmodule.ApplicationSystem}
 */
proto.reservemodule.ReserveAvailabilityProfile.prototype.getRequestercircuitsegmentservice = function () {
  return /** @type{?proto.commonmodule.ApplicationSystem} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ApplicationSystem, 3));
};


/**
 * @param {?proto.commonmodule.ApplicationSystem|undefined} value
 * @return {!proto.reservemodule.ReserveAvailabilityProfile} returns this
*/
proto.reservemodule.ReserveAvailabilityProfile.prototype.setRequestercircuitsegmentservice = function (value) {
  return jspb.Message.setWrapperField(this, 3, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reservemodule.ReserveAvailabilityProfile} returns this
 */
proto.reservemodule.ReserveAvailabilityProfile.prototype.clearRequestercircuitsegmentservice = function () {
  return this.setRequestercircuitsegmentservice(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reservemodule.ReserveAvailabilityProfile.prototype.hasRequestercircuitsegmentservice = function () {
  return jspb.Message.getField(this, 3) != null;
};


/**
 * optional ReserveAvailability reserveAvailability = 4;
 * @return {?proto.reservemodule.ReserveAvailability}
 */
proto.reservemodule.ReserveAvailabilityProfile.prototype.getReserveavailability = function () {
  return /** @type{?proto.reservemodule.ReserveAvailability} */ (
    jspb.Message.getWrapperField(this, proto.reservemodule.ReserveAvailability, 4));
};


/**
 * @param {?proto.reservemodule.ReserveAvailability|undefined} value
 * @return {!proto.reservemodule.ReserveAvailabilityProfile} returns this
*/
proto.reservemodule.ReserveAvailabilityProfile.prototype.setReserveavailability = function (value) {
  return jspb.Message.setWrapperField(this, 4, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reservemodule.ReserveAvailabilityProfile} returns this
 */
proto.reservemodule.ReserveAvailabilityProfile.prototype.clearReserveavailability = function () {
  return this.setReserveavailability(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reservemodule.ReserveAvailabilityProfile.prototype.hasReserveavailability = function () {
  return jspb.Message.getField(this, 4) != null;
};


/**
 * optional commonmodule.ApplicationSystem responderCircuitSegmentService = 5;
 * @return {?proto.commonmodule.ApplicationSystem}
 */
proto.reservemodule.ReserveAvailabilityProfile.prototype.getRespondercircuitsegmentservice = function () {
  return /** @type{?proto.commonmodule.ApplicationSystem} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ApplicationSystem, 5));
};


/**
 * @param {?proto.commonmodule.ApplicationSystem|undefined} value
 * @return {!proto.reservemodule.ReserveAvailabilityProfile} returns this
*/
proto.reservemodule.ReserveAvailabilityProfile.prototype.setRespondercircuitsegmentservice = function (value) {
  return jspb.Message.setWrapperField(this, 5, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reservemodule.ReserveAvailabilityProfile} returns this
 */
proto.reservemodule.ReserveAvailabilityProfile.prototype.clearRespondercircuitsegmentservice = function () {
  return this.setRespondercircuitsegmentservice(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reservemodule.ReserveAvailabilityProfile.prototype.hasRespondercircuitsegmentservice = function () {
  return jspb.Message.getField(this, 5) != null;
};


/**
 * optional commonmodule.ConductingEquipment tiePoint = 6;
 * @return {?proto.commonmodule.ConductingEquipment}
 */
proto.reservemodule.ReserveAvailabilityProfile.prototype.getTiepoint = function () {
  return /** @type{?proto.commonmodule.ConductingEquipment} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ConductingEquipment, 6));
};


/**
 * @param {?proto.commonmodule.ConductingEquipment|undefined} value
 * @return {!proto.reservemodule.ReserveAvailabilityProfile} returns this
*/
proto.reservemodule.ReserveAvailabilityProfile.prototype.setTiepoint = function (value) {
  return jspb.Message.setWrapperField(this, 6, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reservemodule.ReserveAvailabilityProfile} returns this
 */
proto.reservemodule.ReserveAvailabilityProfile.prototype.clearTiepoint = function () {
  return this.setTiepoint(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reservemodule.ReserveAvailabilityProfile.prototype.hasTiepoint = function () {
  return jspb.Message.getField(this, 6) != null;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
  /**
   * Creates an object representation of this proto.
   * Field names that are reserved in JavaScript and will be renamed to pb_name.
   * Optional fields that are not set will be set to undefined.
   * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
   * For the list of reserved names please see:
   *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
   * @param {boolean=} opt_includeInstance Deprecated. whether to include the
   *     JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @return {!Object}
   */
  proto.reservemodule.ReserveRequest.prototype.toObject = function (opt_includeInstance) {
    return proto.reservemodule.ReserveRequest.toObject(opt_includeInstance, this);
  };


  /**
   * Static version of the {@see toObject} method.
   * @param {boolean|undefined} includeInstance Deprecated. Whether to include
   *     the JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @param {!proto.reservemodule.ReserveRequest} msg The msg instance to transform.
   * @return {!Object}
   * @suppress {unusedLocalVariables} f is only used for nested messages
   */
  proto.reservemodule.ReserveRequest.toObject = function (includeInstance, msg) {
    var f, obj = {
      requestid: jspb.Message.getFieldWithDefault(msg, 1, ""),
      margin: (f = msg.getMargin()) && proto.reservemodule.ReserveMargin.toObject(includeInstance, f),
      standbymargin: (f = msg.getStandbymargin()) && proto.reservemodule.ReserveMargin.toObject(includeInstance, f)
    };

    if (includeInstance) {
      obj.$jspbMessageInstance = msg;
    }
    return obj;
  };
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.reservemodule.ReserveRequest}
 */
proto.reservemodule.ReserveRequest.deserializeBinary = function (bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.reservemodule.ReserveRequest;
  return proto.reservemodule.ReserveRequest.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.reservemodule.ReserveRequest} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.reservemodule.ReserveRequest}
 */
proto.reservemodule.ReserveRequest.deserializeBinaryFromReader = function (msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
      case 1:
        var value = /** @type {string} */ (reader.readString());
        msg.setRequestid(value);
        break;
      case 2:
        var value = new proto.reservemodule.ReserveMargin;
        reader.readMessage(value, proto.reservemodule.ReserveMargin.deserializeBinaryFromReader);
        msg.setMargin(value);
        break;
      case 3:
        var value = new proto.reservemodule.ReserveMargin;
        reader.readMessage(value, proto.reservemodule.ReserveMargin.deserializeBinaryFromReader);
        msg.setStandbymargin(value);
        break;
      default:
        reader.skipField();
        break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.reservemodule.ReserveRequest.prototype.serializeBinary = function () {
  var writer = new jspb.BinaryWriter();
  proto.reservemodule.ReserveRequest.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.reservemodule.ReserveRequest} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.reservemodule.ReserveRequest.serializeBinaryToWriter = function (message, writer) {
  var f = undefined;
  f = message.getRequestid();
  if (f.length > 0) {
    writer.writeString(
      1,
      f
    );
  }
  f = message.getMargin();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      proto.reservemodule.ReserveMargin.serializeBinaryToWriter
    );
  }
  f = message.getStandbymargin();
  if (f != null) {
    writer.writeMessage(
      3,
      f,
      proto.reservemodule.ReserveMargin.serializeBinaryToWriter
    );
  }
};


/**
 * optional string requestID = 1;
 * @return {string}
 */
proto.reservemodule.ReserveRequest.prototype.getRequestid = function () {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 1, ""));
};


/**
 * @param {string} value
 * @return {!proto.reservemodule.ReserveRequest} returns this
 */
proto.reservemodule.ReserveRequest.prototype.setRequestid = function (value) {
  return jspb.Message.setProto3StringField(this, 1, value);
};


/**
 * optional ReserveMargin margin = 2;
 * @return {?proto.reservemodule.ReserveMargin}
 */
proto.reservemodule.ReserveRequest.prototype.getMargin = function () {
  return /** @type{?proto.reservemodule.ReserveMargin} */ (
    jspb.Message.getWrapperField(this, proto.reservemodule.ReserveMargin, 2));
};


/**
 * @param {?proto.reservemodule.ReserveMargin|undefined} value
 * @return {!proto.reservemodule.ReserveRequest} returns this
*/
proto.reservemodule.ReserveRequest.prototype.setMargin = function (value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reservemodule.ReserveRequest} returns this
 */
proto.reservemodule.ReserveRequest.prototype.clearMargin = function () {
  return this.setMargin(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reservemodule.ReserveRequest.prototype.hasMargin = function () {
  return jspb.Message.getField(this, 2) != null;
};


/**
 * optional ReserveMargin standbyMargin = 3;
 * @return {?proto.reservemodule.ReserveMargin}
 */
proto.reservemodule.ReserveRequest.prototype.getStandbymargin = function () {
  return /** @type{?proto.reservemodule.ReserveMargin} */ (
    jspb.Message.getWrapperField(this, proto.reservemodule.ReserveMargin, 3));
};


/**
 * @param {?proto.reservemodule.ReserveMargin|undefined} value
 * @return {!proto.reservemodule.ReserveRequest} returns this
*/
proto.reservemodule.ReserveRequest.prototype.setStandbymargin = function (value) {
  return jspb.Message.setWrapperField(this, 3, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reservemodule.ReserveRequest} returns this
 */
proto.reservemodule.ReserveRequest.prototype.clearStandbymargin = function () {
  return this.setStandbymargin(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reservemodule.ReserveRequest.prototype.hasStandbymargin = function () {
  return jspb.Message.getField(this, 3) != null;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
  /**
   * Creates an object representation of this proto.
   * Field names that are reserved in JavaScript and will be renamed to pb_name.
   * Optional fields that are not set will be set to undefined.
   * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
   * For the list of reserved names please see:
   *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
   * @param {boolean=} opt_includeInstance Deprecated. whether to include the
   *     JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @return {!Object}
   */
  proto.reservemodule.ReserveRequestProfile.prototype.toObject = function (opt_includeInstance) {
    return proto.reservemodule.ReserveRequestProfile.toObject(opt_includeInstance, this);
  };


  /**
   * Static version of the {@see toObject} method.
   * @param {boolean|undefined} includeInstance Deprecated. Whether to include
   *     the JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @param {!proto.reservemodule.ReserveRequestProfile} msg The msg instance to transform.
   * @return {!Object}
   * @suppress {unusedLocalVariables} f is only used for nested messages
   */
  proto.reservemodule.ReserveRequestProfile.toObject = function (includeInstance, msg) {
    var f, obj = {
      controlmessageinfo: (f = msg.getControlmessageinfo()) && commonmodule_commonmodule_pb.ControlMessageInfo.toObject(includeInstance, f),
      requestercircuitsegmentservice: (f = msg.getRequestercircuitsegmentservice()) && commonmodule_commonmodule_pb.ApplicationSystem.toObject(includeInstance, f),
      reserverequest: (f = msg.getReserverequest()) && proto.reservemodule.ReserveRequest.toObject(includeInstance, f),
      respondercircuitsegmentservice: (f = msg.getRespondercircuitsegmentservice()) && commonmodule_commonmodule_pb.ApplicationSystem.toObject(includeInstance, f),
      tiepoint: (f = msg.getTiepoint()) && commonmodule_commonmodule_pb.ConductingEquipment.toObject(includeInstance, f)
    };

    if (includeInstance) {
      obj.$jspbMessageInstance = msg;
    }
    return obj;
  };
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.reservemodule.ReserveRequestProfile}
 */
proto.reservemodule.ReserveRequestProfile.deserializeBinary = function (bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.reservemodule.ReserveRequestProfile;
  return proto.reservemodule.ReserveRequestProfile.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.reservemodule.ReserveRequestProfile} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.reservemodule.ReserveRequestProfile}
 */
proto.reservemodule.ReserveRequestProfile.deserializeBinaryFromReader = function (msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
      case 1:
        var value = new commonmodule_commonmodule_pb.ControlMessageInfo;
        reader.readMessage(value, commonmodule_commonmodule_pb.ControlMessageInfo.deserializeBinaryFromReader);
        msg.setControlmessageinfo(value);
        break;
      case 2:
        var value = new commonmodule_commonmodule_pb.ApplicationSystem;
        reader.readMessage(value, commonmodule_commonmodule_pb.ApplicationSystem.deserializeBinaryFromReader);
        msg.setRequestercircuitsegmentservice(value);
        break;
      case 3:
        var value = new proto.reservemodule.ReserveRequest;
        reader.readMessage(value, proto.reservemodule.ReserveRequest.deserializeBinaryFromReader);
        msg.setReserverequest(value);
        break;
      case 4:
        var value = new commonmodule_commonmodule_pb.ApplicationSystem;
        reader.readMessage(value, commonmodule_commonmodule_pb.ApplicationSystem.deserializeBinaryFromReader);
        msg.setRespondercircuitsegmentservice(value);
        break;
      case 5:
        var value = new commonmodule_commonmodule_pb.ConductingEquipment;
        reader.readMessage(value, commonmodule_commonmodule_pb.ConductingEquipment.deserializeBinaryFromReader);
        msg.setTiepoint(value);
        break;
      default:
        reader.skipField();
        break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.reservemodule.ReserveRequestProfile.prototype.serializeBinary = function () {
  var writer = new jspb.BinaryWriter();
  proto.reservemodule.ReserveRequestProfile.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.reservemodule.ReserveRequestProfile} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.reservemodule.ReserveRequestProfile.serializeBinaryToWriter = function (message, writer) {
  var f = undefined;
  f = message.getControlmessageinfo();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      commonmodule_commonmodule_pb.ControlMessageInfo.serializeBinaryToWriter
    );
  }
  f = message.getRequestercircuitsegmentservice();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      commonmodule_commonmodule_pb.ApplicationSystem.serializeBinaryToWriter
    );
  }
  f = message.getReserverequest();
  if (f != null) {
    writer.writeMessage(
      3,
      f,
      proto.reservemodule.ReserveRequest.serializeBinaryToWriter
    );
  }
  f = message.getRespondercircuitsegmentservice();
  if (f != null) {
    writer.writeMessage(
      4,
      f,
      commonmodule_commonmodule_pb.ApplicationSystem.serializeBinaryToWriter
    );
  }
  f = message.getTiepoint();
  if (f != null) {
    writer.writeMessage(
      5,
      f,
      commonmodule_commonmodule_pb.ConductingEquipment.serializeBinaryToWriter
    );
  }
};


/**
 * optional commonmodule.ControlMessageInfo controlMessageInfo = 1;
 * @return {?proto.commonmodule.ControlMessageInfo}
 */
proto.reservemodule.ReserveRequestProfile.prototype.getControlmessageinfo = function () {
  return /** @type{?proto.commonmodule.ControlMessageInfo} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ControlMessageInfo, 1));
};


/**
 * @param {?proto.commonmodule.ControlMessageInfo|undefined} value
 * @return {!proto.reservemodule.ReserveRequestProfile} returns this
*/
proto.reservemodule.ReserveRequestProfile.prototype.setControlmessageinfo = function (value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reservemodule.ReserveRequestProfile} returns this
 */
proto.reservemodule.ReserveRequestProfile.prototype.clearControlmessageinfo = function () {
  return this.setControlmessageinfo(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reservemodule.ReserveRequestProfile.prototype.hasControlmessageinfo = function () {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * optional commonmodule.ApplicationSystem requesterCircuitSegmentService = 2;
 * @return {?proto.commonmodule.ApplicationSystem}
 */
proto.reservemodule.ReserveRequestProfile.prototype.getRequestercircuitsegmentservice = function () {
  return /** @type{?proto.commonmodule.ApplicationSystem} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ApplicationSystem, 2));
};


/**
 * @param {?proto.commonmodule.ApplicationSystem|undefined} value
 * @return {!proto.reservemodule.ReserveRequestProfile} returns this
*/
proto.reservemodule.ReserveRequestProfile.prototype.setRequestercircuitsegmentservice = function (value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reservemodule.ReserveRequestProfile} returns this
 */
proto.reservemodule.ReserveRequestProfile.prototype.clearRequestercircuitsegmentservice = function () {
  return this.setRequestercircuitsegmentservice(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reservemodule.ReserveRequestProfile.prototype.hasRequestercircuitsegmentservice = function () {
  return jspb.Message.getField(this, 2) != null;
};


/**
 * optional ReserveRequest reserveRequest = 3;
 * @return {?proto.reservemodule.ReserveRequest}
 */
proto.reservemodule.ReserveRequestProfile.prototype.getReserverequest = function () {
  return /** @type{?proto.reservemodule.ReserveRequest} */ (
    jspb.Message.getWrapperField(this, proto.reservemodule.ReserveRequest, 3));
};


/**
 * @param {?proto.reservemodule.ReserveRequest|undefined} value
 * @return {!proto.reservemodule.ReserveRequestProfile} returns this
*/
proto.reservemodule.ReserveRequestProfile.prototype.setReserverequest = function (value) {
  return jspb.Message.setWrapperField(this, 3, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reservemodule.ReserveRequestProfile} returns this
 */
proto.reservemodule.ReserveRequestProfile.prototype.clearReserverequest = function () {
  return this.setReserverequest(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reservemodule.ReserveRequestProfile.prototype.hasReserverequest = function () {
  return jspb.Message.getField(this, 3) != null;
};


/**
 * optional commonmodule.ApplicationSystem responderCircuitSegmentService = 4;
 * @return {?proto.commonmodule.ApplicationSystem}
 */
proto.reservemodule.ReserveRequestProfile.prototype.getRespondercircuitsegmentservice = function () {
  return /** @type{?proto.commonmodule.ApplicationSystem} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ApplicationSystem, 4));
};


/**
 * @param {?proto.commonmodule.ApplicationSystem|undefined} value
 * @return {!proto.reservemodule.ReserveRequestProfile} returns this
*/
proto.reservemodule.ReserveRequestProfile.prototype.setRespondercircuitsegmentservice = function (value) {
  return jspb.Message.setWrapperField(this, 4, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reservemodule.ReserveRequestProfile} returns this
 */
proto.reservemodule.ReserveRequestProfile.prototype.clearRespondercircuitsegmentservice = function () {
  return this.setRespondercircuitsegmentservice(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reservemodule.ReserveRequestProfile.prototype.hasRespondercircuitsegmentservice = function () {
  return jspb.Message.getField(this, 4) != null;
};


/**
 * optional commonmodule.ConductingEquipment tiePoint = 5;
 * @return {?proto.commonmodule.ConductingEquipment}
 */
proto.reservemodule.ReserveRequestProfile.prototype.getTiepoint = function () {
  return /** @type{?proto.commonmodule.ConductingEquipment} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ConductingEquipment, 5));
};


/**
 * @param {?proto.commonmodule.ConductingEquipment|undefined} value
 * @return {!proto.reservemodule.ReserveRequestProfile} returns this
*/
proto.reservemodule.ReserveRequestProfile.prototype.setTiepoint = function (value) {
  return jspb.Message.setWrapperField(this, 5, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reservemodule.ReserveRequestProfile} returns this
 */
proto.reservemodule.ReserveRequestProfile.prototype.clearTiepoint = function () {
  return this.setTiepoint(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reservemodule.ReserveRequestProfile.prototype.hasTiepoint = function () {
  return jspb.Message.getField(this, 5) != null;
};


goog.object.extend(exports, proto.reservemodule);
